Bug 1261131 - [aaa] Parameters name and value should have required argument
[aaa] Parameters name and value should have required argument
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-extension-aaa-jdbc
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.0-rc
: 1.0.0
Assigned To: Ondra Machacek
Ondra Machacek
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 12:33 EDT by Ondra Machacek
Modified: 2016-02-10 14:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 08:39:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45879 master MERGED li: make name and value params of settings action required Never

  None (edit)
Description Ondra Machacek 2015-09-08 12:33:13 EDT
Parameters name and value should have required argument.
Currently its set to non_required.

ovirt-aaa-jdbc-tool setting show --name
SEVERE: Unexpected Exception invoking Cli: null


bin/ovirt-aaa-jdbc-tool settings set --name X --value X
Argument(s) 'value' required
Comment 1 Martin Perina 2015-09-23 05:57:15 EDT
Fixed in ovirt-engine-extension-aaa-jdbc-1.0.0-0.0.master.20150923074938.git46a67c9
Comment 2 Yaniv Lavi (Dary) 2015-09-24 03:03:15 EDT
Can you please add the target and version to this bug\to the product?
Comment 3 Martin Perina 2015-09-24 03:10:34 EDT
(In reply to Yaniv Dary from comment #2)
> Can you please add the target and version to this bug\to the product?

What do you mean by that? The fix will be present in next oVirt release planned for next week (not sure if it's another beta or rc1).

Btw I cannot change target release ...
Comment 4 Martin Perina 2015-09-29 03:11:16 EDT
Fix contained in oVirt 3.6.0 RC1
Comment 5 Ondra Machacek 2015-09-29 04:30:43 EDT
[root@om-ovirt36 ~]# ovirt-aaa-jdbc-tool settings show --name
Value is required, but missing for argument 'name'

[root@om-ovirt36 ~]# ovirt-aaa-jdbc-tool settings set --name X --value 
Value is required, but missing for argument 'value'

ok in ovirt-engine-extension-aaa-jdbc-0.0.0-7.el6ev.noarch
Comment 6 Sandro Bonazzola 2015-11-04 08:39:01 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.